%define		php5_extension	mssql

Name:	 	php5-%php5_extension
Version:	%php5_version
Release:	%php5_release

Summary:	MSSQL Extension for PHP5

License:	PHP Licence
Group:		System/Servers
URL:		http://www.php.net/manual/en/ref.mssql.php

Packager:	Nikolay A. Fetisov <naf@altlinux.ru>

#Source0:	standart PHP module
Source1:	php-%php5_extension.ini
Source2:	php-%php5_extension-params.sh
Patch0:		php5-mssql-5.2.7-freetds_recent_version_fix.patch

BuildRequires(pre): rpm-build-php5
# Automatically added by buildreq on Mon Oct 13 2008
BuildRequires: libfreetds-devel

BuildRequires: php5-devel = %php5_version-%php5_release

%description
The php5-mssql package adds MS SQL Server database support to PHP5.

%prep
%setup -T -c
cp -pr -- %php5_extsrcdir/%php5_extension/* .
%patch0

%build
phpize

BUILD_HAVE=`echo %php5_extension | tr '[:lower:]-' '[:upper:]_'`
%add_optflags -fPIC -L%_libdir
export LDFLAGS=-lphp-%_php5_version
%configure \
	--with-%php5_extension \
	--with-libdir=%_lib \
	#

%php5_make

%install
%php5_make_install
install -D -m 644 -- %SOURCE1 %buildroot/%php5_extconf/%php5_extension/config
install -D -m 644 -- %SOURCE2 %buildroot/%php5_extconf/%php5_extension/params

%files
%php5_extconf/%php5_extension
%php5_extdir/*
%doc CREDITS

%post
%php5_extension_postin

%preun
%php5_extension_preun

%changelog
* Wed Oct 15 2008 Nikolay A. Fetisov <naf@altlinux.ru> 5.2.7.20080920-alt1
- Initial build

